import { Libp2p, Libp2pOptions, ServiceFactoryMap } from "libp2p";
import { DirectSub } from "@dao-xyz/libp2p-direct-sub";
import { DirectBlock } from "@dao-xyz/libp2p-direct-block";
import { CircuitRelayService } from "libp2p/dist/src/circuit-relay/index.js";
export type Libp2pExtendServices = {
    pubsub: DirectSub;
    blocks: DirectBlock;
};
export type Libp2pExtended = Libp2p<{
    relay: CircuitRelayService;
    identify: any;
} & Libp2pExtendServices>;
export type CreateOptions = Libp2pOptions<Libp2pExtendServices & {
    relay: CircuitRelayService;
    identify: any;
}>;
export type CreateOptionsWithServices = CreateOptions & {
    services: ServiceFactoryMap<Libp2pExtendServices>;
};
export declare const createLibp2pExtended: (opts?: CreateOptions) => Promise<Libp2pExtended>;
